Bug 728565 - dm_task_run failed, errno = 6, No such device or address
Summary: dm_task_run failed, errno = 6, No such device or address
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.1
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On: 700927
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 15:36 UTC by Corey Marthaler
Modified: 2012-03-22 15:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 700927
Environment:
Last Closed: 2012-03-22 15:04:05 UTC


Attachments (Terms of Use)

Comment 1 Corey Marthaler 2011-08-05 15:37:28 UTC
Seeing this in RHEL6 as well.

Aug  4 17:28:51 taft-03 lvm[1287]: Trying to up-convert to 2 images, 1 logs.
Aug  4 17:28:56 taft-03 lvm[1287]: Monitoring mirror device TAFT-ha1 for events.
Aug  4 17:28:56 taft-03 lvm[1287]: Another thread is handling an event. Waiting...
Aug  4 17:28:56 taft-03 lvm[1287]: 1 missing and now unallocated Physical Volumes removed from VG.
Aug  4 17:28:57 taft-03 lvm[1287]: TAFT/ha1: Converted: 0.0%
Aug  4 17:28:59 taft-03 rgmanager[4467]: [lvm] Stripping tag, taft-03
Aug  4 17:29:00 taft-03 rgmanager[20095]: Service service:halvm is stopped
Aug  4 17:29:12 taft-03 lvm[1287]: ABORTING: Mirror percentage check failed.
Aug  4 17:29:12 taft-03 lvm[1287]: Repair of mirrored LV TAFT/ha1 failed.
Aug  4 17:29:12 taft-03 lvm[1287]: Failed to remove faulty devices in TAFT-ha1.
Aug  4 17:29:12 taft-03 lvm[1287]: dm_task_run failed, errno = 6, No such device or address
Aug  4 17:29:12 taft-03 lvm[1287]: TAFT-ha3 disappeared, detaching
Aug  4 17:29:12 taft-03 lvm[1287]: dm_task_run failed, errno = 6, No such device or address
Aug  4 17:29:12 taft-03 lvm[1287]: No longer monitoring mirror device TAFT-ha3 for events.
Aug  4 17:29:12 taft-03 lvm[1287]: dm_task_run failed, errno = 6, No such device or address
Aug  4 17:29:12 taft-03 lvm[1287]: TAFT-ha2 disappeared, detaching
Aug  4 17:29:12 taft-03 lvm[1287]: TAFT-ha1 disappeared, detaching
Aug  4 17:29:12 taft-03 lvm[1287]: No longer monitoring mirror device TAFT-ha2 for events.
Aug  4 17:29:12 taft-03 lvm[1287]: No longer monitoring mirror device TAFT-ha1 for events.
Aug  4 17:29:12 taft-03 lvm[1287]: dm_task_run failed, errno = 6, No such device or address
Aug  4 17:29:12 taft-03 lvm[1287]: TAFT-ha1 disappeared, detaching
Aug  4 17:29:12 taft-03 lvm[1287]: No longer monitoring mirror device TAFT-ha1 for events.



2.6.32-174.el6.x86_64

lvm2-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
lvm2-libs-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
lvm2-cluster-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
udev-147-2.35.el6    BUILT: Wed Mar 30 07:32:05 CDT 2011
device-mapper-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
device-mapper-libs-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
device-mapper-event-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
device-mapper-event-libs-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
cmirror-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011

Comment 3 RHEL Product and Program Management 2011-10-07 15:55:24 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 4 Milan Broz 2012-03-22 15:04:05 UTC
Closing for now, if you see it again, please reopen with more recent info, thanks.


Note You need to log in before you can comment on or make changes to this bug.